version = 1

test_patterns = ["app/javascript/mastodon/**/__tests__/**"]

exclude_patterns = [
    "db/migrate/**",
    "db/post_migrate/**"
]

[[analyzers]]
name = "ruby"
enabled = true

[[analyzers]]
name = "javascript"
enabled = true

  [analyzers.meta]
  environment = [
    "browser",
    "jest",
    "nodejs"
  ]
